Foreman - Bug #32423

VM UUID error after upgrading to 2.4.0
04/26/2021 08:13 PM - Santiago Ruiz

Status: Rejected
Priority: High
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: No Found in Releases: 2.4.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

After upgrading foreman to 2.4.0 we can no longer create hosts using libvirt compute resource. When creating the host the VM is
created on libvirt side (with the correct UUID) but for some reason the UUID stored for the vm on foreman side is wrong it adds “8_"
in front of the UUID.

This generates an error since foreman is not able to start the VM cause it cannot find it with the incorrect UUID on libvirt.

Part of the log:

2021-04-23T09:53:01 [I|aud|644f05ab] Host::Base (606) create event on use_image
2021-04-23T09:53:01 [I|aud|644f05ab] Host::Base (606) create event on image_file
2021-04-23T09:53:01 [I|aud|644f05ab] Host::Base (606) create event on uuid 8_f193b5c0-a69c-41f6-al
Te-T724db2efecca

2021-04-23T09:53:01 [I|aud|644f05ab] Host::Base (606) create event on compute_resource_id 8
2021-04-23T09:53:01 [I|aud|644f05ab] Host::Base (606) create event on puppet_proxy_id 1

2021-04-23T09:53:03 [I|appl|66957c2e] Backtrace for 'Failed retrieving libvirt vm by uuid 8_f£f193b5c
0-a69c-41f6-al07e-724db2efecca' error (Libvirt::RetrieveError): Call to virDomainLookupByUUID faile
d: Invalid UUID

66957c2e | /usr/share/foreman/vendor/ruby/2.5.0/gems/fog-1libvirt-0.8.0/1ib/fog/libvirt/requests/c
ompute/list_domains.rb:9:in " lookup_domain_by_uuid’'

66957c2e | /usr/share/foreman/vendor/ruby/2.5.0/gems/fog-1libvirt-0.8.0/1ib/fog/libvirt/requests/c
ompute/list_domains.rb:9:in "list_domains'

66957c2e | /usr/share/foreman/vendor/ruby/2.5.0/gems/fog-libvirt-0.8.0/1ib/fog/libvirt/models/com
pute/servers.rb:15:in ‘get'

66957c2e | /usr/share/foreman/app/models/compute_resource.rb:183:in "~ find_vm_by_uuid'

66957c2e | /usr/share/foreman/app/models/compute_resources/foreman/model/libvirt.rb:43:in " find_v
m_by_uuid'

66957c2e | /usr/share/foreman/app/controllers/hosts_controller.rb:280:in “vm'

66957c2e | /usr/share/foreman/vendor/ruby/2.5.0/gems/actionpack-6.0.3.5/1lib/action_controller/met
al/basic_implicit_render.rb:

Expected outcome: Create the host and associate the vm with the correct UUID

Foreman version: 2.4.0
Proxy versions: 2.4.0

Distribution and version:
Distributor ID: Ubuntu
Description: Ubuntu 18.04.5 LTS
Release: 18.04

Codename: bionic

History

#1 - 04/27/2021 07:56 AM - Lukas Zapletal
Hello, | have just tested both 2.4 and nightly and | have no problems, it works just fine and there is no ID_ prefix on my uuids.
| suggest you to take this to our Discourse forum for faster response time. My first question would be - any plugins? Lets continue there tho.
#2 - 04/27/2021 03:15 PM - Santiago Ruiz
Lukas Zapletal wrote:
Hello, | have just tested both 2.4 and nightly and | have no problems, it works just fine and there is no ID_ prefix on my uuids.
| suggest you to take this to our Discourse forum for faster response time. My first question would be - any plugins? Lets continue there tho.
Hi Lukas,
you are right the issue is caused by the ruby-foreman-fog-proxmox plugin. | removed it and the issue went away, will go ahead and submit a ticket on
their github page.
Thanks for the support!

#3 - 04/28/2021 05:59 AM - Lukas Zapletal

- Status changed from New to Closed
Can you paste the issue link in here for the record please? Thanks.

#4 - 04/28/2021 09:15 AM - Tomer Brisker

- Status changed from Closed to Rejected

issue is in proxmox plugin: https:/github.com/theforeman/foreman_fog_proxmox/issues/197
